Last Comment Bug 723781 - Intermittent "reftest/tests/docshell/base/crashtests/436900-1.html | Exited with code 3 during test run"
: Intermittent "reftest/tests/docshell/base/crashtests/436900-1.html | Exited w...
Status: RESOLVED FIXED
: assertion, intermittent-failure
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: mozilla13
Assigned To: Matthew Gregan [:kinetik]
:
:
Mentors:
Depends on:
Blocks: 438871 cubeb
  Show dependency treegraph
 
Reported: 2012-02-02 17:33 PST by Serge Gautherie (:sgautherie)
Modified: 2012-11-25 19:31 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Serge Gautherie (:sgautherie) 2012-02-02 17:33:30 PST
https://tbpl.mozilla.org/php/getParsedLog.php?id=9046288&tree=Firefox
Rev3 WINNT 6.1 mozilla-central pgo test crashtest on 2012-02-02 15:19:38 PST for push 101756cec9bf
{
TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/docshell/base/crashtests/436900-1.html | Exited with code 3 during test run
}
Comment 1 Phil Ringnalda (:philor) 2012-02-03 00:18:19 PST
That seems to miss every bit of what's interesting in that log, which more fully is

REFTEST TEST-START | file:///c:/talos-slave/test/build/reftest/tests/content/media/...
REFTEST TEST-PASS | file:///c:/talos-slave/test/build/reftest/tests/content/media/...
(media tests finish, a few docshell tests run)
REFTEST TEST-START | file:///c:/talos-slave/test/build/reftest/tests/docshell/base/crashtests/436900-1.html | 407 / 2011 (20%)
REFTEST TEST-PASS | file:///c:/talos-slave/test/build/reftest/tests/docshell/base/crashtests/436900-1.html | (LOAD ONLY)
REFTEST INFO | Loading a blank page
Assertion failed: r == MMSYSERR_NOERROR, file e:/builds/moz2_slave/m-cen-w32-pgo/build/media/libcubeb/src/cubeb_winmm.c, line 109
TEST-UNEXPECTED-FAIL | file:///c:/talos-slave/test/build/reftest/tests/docshell/base/crashtests/436900-1.html | Exited with code 3 during test run
Comment 2 Matthew Gregan [:kinetik] 2012-02-03 00:28:59 PST
This must be a problem with the original libcubeb push (bug 623444).  I'll disable that code with a pref change for now.
Comment 3 Matthew Gregan [:kinetik] 2012-02-03 00:35:13 PST
Disabled: http://hg.mozilla.org/integration/mozilla-inbound/rev/27f0028890e7
Comment 4 Matthew Gregan [:kinetik] 2012-02-03 00:36:29 PST
Marking as fixed on the assumption that the disable stops the test failures.
Comment 5 Phil Ringnalda (:philor) 2012-02-03 00:38:01 PST
Could actually be a Document Navigation bug that reset the component back, though :)
Comment 6 Serge Gautherie (:sgautherie) 2012-02-03 05:47:19 PST
(In reply to Matthew Gregan [:kinetik] from comment #4)
> Marking as fixed on the assumption that the disable stops the test failures.

Not before the changeset is merged into m-c.
Comment 7 Ed Morley [:emorley] 2012-02-03 10:56:16 PST
https://hg.mozilla.org/mozilla-central/rev/27f0028890e7

Note You need to log in before you can comment on or make changes to this bug.